=== modified file 'databas.sql'
--- databas.sql	2013-05-05 16:58:25 +0000
+++ databas.sql	2013-05-07 11:47:22 +0000
@@ -2,7 +2,15 @@
 USE `lenasys` ;
 -- -----------------------------------------------------
 
-
+-- -----------------------------------------------------
+-- Table `lenasys`.`Courses`
+-- -----------------------------------------------------
+CREATE  TABLE IF NOT EXISTS `lenasys`.`Courses` (
+  `courseID` VARCHAR(10) NOT NULL ,
+  `name` VARCHAR(45) NULL ,
+  `courseData` VARCHAR(128) NULL , -- explenation about course, example: G1N 7,5hp  + additional text
+  PRIMARY KEY (`courseID`))
+ENGINE = InnoDB;
 
 -- -----------------------------------------------------
 -- Table `lenasys`.`Users`
@@ -15,19 +23,16 @@
   `passwd` CHAR(40) NULL ,
   `passwdHint` CHAR(100) NULL ,
   `ssn` CHAR(13) NULL COMMENT 'yyyymmdd-xxxx' ,
-  PRIMARY KEY (`userName`) )
-ENGINE = InnoDB;
-
-
--- -----------------------------------------------------
--- Table `lenasys`.`Courses`
--- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`Courses` (
-  `courseID` VARCHAR(10) NOT NULL ,
-  `name` VARCHAR(45) NULL ,
-  `courseData` VARCHAR(128) NULL , -- explenation about course, example: G1N 7,5hp  + additional text
-  PRIMARY KEY (`courseID`))
-ENGINE = InnoDB;
+  `firstLogin` BIT NOT NULL DEFAULT 1, -- 1=true 0=false
+  `activeCourse` VARCHAR(10) NULL,
+  `email` VARCHAR(128) NULL,
+  PRIMARY KEY (`userName`) ,
+  FOREIGN KEY (`activeCourse` )
+  REFERENCES `lenasys`.`Courses` (`courseID`)ON UPDATE CASCADE ON DELETE CASCADE)
+ENGINE = InnoDB;
+
+
+
 
 -- -----------------------------------------------------
 -- Table `lenasys`.`StudentCourseRegistrations`
@@ -38,9 +43,9 @@
   `courseID` VARCHAR(10) NOT NULL , -- Example G14234
   PRIMARY KEY (`courseOccasion`,`userName`, `courseID`) ,
     FOREIGN KEY (`userName` )
-    REFERENCES `lenasys`.`Users` (`userName` )ON UPDATE CASCADE,
+    REFERENCES `lenasys`.`Users` (`userName` )ON UPDATE CASCADE ON DELETE CASCADE,
     FOREIGN KEY (`courseID` )
-    REFERENCES `lenasys`.`Courses` (`courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Courses` (`courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -53,7 +58,7 @@
   `orderNr` INT NOT NULL , -- the order of the examples in the same category 
   PRIMARY KEY (`categoryName`, `courseID`) ,
     FOREIGN KEY (`courseID` )
-    REFERENCES `lenasys`.`Courses` (`courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Courses` (`courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -66,7 +71,7 @@
   `orderNr` INT NOT NULL , -- the order of the examples in the same category
   PRIMARY KEY (`subCategoryName`, `categoryName`, `courseID`) ,
     FOREIGN KEY (`categoryName` , `courseID` )
-    REFERENCES `lenasys`.`Categories` (`categoryName` , `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Categories` (`categoryName` , `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -85,7 +90,7 @@
   `updatedAt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP , 
   PRIMARY KEY (`quizNr`,  `subCategoryName`, `categoryName` , `courseID`) ,
     FOREIGN KEY (`subCategoryName`, `categoryName`, `courseID`)
-    REFERENCES `lenasys`.`SubCategories` (`subCategoryName`, `categoryName`, `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`SubCategories` (`subCategoryName`, `categoryName`, `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -101,7 +106,7 @@
   `correctAnswer` VARCHAR(45) NULL , -- the answer
   PRIMARY KEY (`questionID`, `quizNr`, `subCategoryName`,`categoryName` ,  `courseID`) ,
     FOREIGN KEY (`quizNr` ,`subCategoryName` ,`categoryName`,  `courseID` )
-    REFERENCES `lenasys`.`Quizzes` (`quizNr` , `subCategoryName`,`categoryName` , `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Quizzes` (`quizNr` , `subCategoryName`,`categoryName` , `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -122,9 +127,9 @@
   `gradeComment` VARCHAR(200) NULL ,
   PRIMARY KEY (`courseOccasion` ,`userName`, `courseID`, `quizNr`, `quizCourseID`) ,
     FOREIGN KEY (`courseOccasion`,`userName` , `courseID` )
-    REFERENCES `lenasys`.`StudentCourseRegistrations` (`courseOccasion`,`userName` , `courseID` )ON UPDATE CASCADE,
+    REFERENCES `lenasys`.`StudentCourseRegistrations` (`courseOccasion`,`userName` , `courseID` )ON UPDATE CASCADE ON DELETE CASCADE,
     FOREIGN KEY (`quizNr` ,`subCategoryName`,`categoryName`, `quizCourseID` )
-    REFERENCES `lenasys`.`Quizzes` (`quizNr` ,`subCategoryName`,`categoryName`, `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Quizzes` (`quizNr` ,`subCategoryName`,`categoryName`, `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 
@@ -142,17 +147,17 @@
   `updatedAt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP , 
   PRIMARY KEY (`exampleName`, `subCategoryName`, `categoryName`, `courseID`) ,
     FOREIGN KEY (`subCategoryName`, `categoryName`, `courseID` )
-    REFERENCES `lenasys`.`SubCategories` (`subCategoryName`,`categoryName`, `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`SubCategories` (`subCategoryName`,`categoryName`, `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
 -- Table `lenasys`.`Files`
 -- -----------------------------------------------------
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Files` (
-  `fileName` VARCHAR(256) NOT NULL ,
-  `fileType` ENUM('Text', 'Code', 'Video', 'Picture') DEFAULT 'text' , -- text=1, code=2, video=3 picture=4
-  `codeLanguage` VARCHAR(10) NULL , -- example: javascript, html, m.m.
-  `dataBlob` BLOB NULL , -- This is where the binary file is stored. Searchable. 
+  `fileName` VARCHAR(228) NOT NULL ,
+  `fileType` ENUM('Text', 'Code', 'Video', 'Picture') DEFAULT 'text' ,  -- text=1, code=2, video=3 picture=4
+  `codeLanguage` VARCHAR(10) NULL , 									-- example: javascript, html, m.m.
+  `dataBlob` BLOB NULL , 												-- This is where the binary file is stored. Searchable. 
   `updatedAt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP , 
   PRIMARY KEY (`fileName`))
 ENGINE = InnoDB;
@@ -162,7 +167,7 @@
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Containers` (
   `columnNr` INT NOT NULL ,
   `orderNr` INT NOT NULL , -- the order of the examples in the same category 
-  `fileName` VARCHAR(20) NOT NULL , -- primary key??
+  `fileName` VARCHAR(228) NOT NULL , -- primary key??
   `exampleName` VARCHAR(20) NOT NULL ,
   `subCategoryName` VARCHAR(64) NOT NULL ,
   `categoryName` VARCHAR(64) NOT NULL ,
@@ -170,9 +175,9 @@
   `executable` BIT , -- 1=true and 0=false
   PRIMARY KEY (`columnNr`, `orderNr`, `fileName`,`exampleName`,`subCategoryName`, `categoryName`, `courseID`) ,
     FOREIGN KEY (`fileName` )
-    REFERENCES `lenasys`.`Files` (`fileName` )ON UPDATE CASCADE,
+    REFERENCES `lenasys`.`Files` (`fileName` )ON UPDATE CASCADE ON DELETE CASCADE,
 	FOREIGN KEY (`exampleName`,`subCategoryName` ,`categoryName` , `courseID` )
-    REFERENCES `lenasys`.`Examples` (`exampleName`,`subCategoryName` ,`categoryName` , `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Examples` (`exampleName`,`subCategoryName` ,`categoryName` , `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -180,7 +185,7 @@
 -- -----------------------------------------------------
 CREATE  TABLE IF NOT EXISTS `lenasys`.`FileInterestingLines` (
 `id` INT NOT NULL AUTO_INCREMENT ,
-`fileName` VARCHAR(256) NOT NULL ,
+`fileName` VARCHAR(228) NOT NULL ,
 `columnNr` INT NOT NULL ,
 `orderNr` INT NOT NULL ,
 `exampleName` VARCHAR(20) NOT NULL ,
@@ -191,7 +196,7 @@
 `endAt` INT NULL ,
 PRIMARY KEY (`id`, `fileName` , `columnNr`, `exampleName`,`subCategoryName`,`categoryName`, `courseID`) ,
 FOREIGN KEY (`columnNr`, `orderNr`, `fileName`, `exampleName`,`subCategoryName`, `categoryName`, `courseID`)
-REFERENCES `lenasys`.`Containers` (`columnNr`, `orderNr`, `fileName`, `exampleName`,`subCategoryName`, `categoryName`, `courseID`)ON UPDATE CASCADE)
+REFERENCES `lenasys`.`Containers` (`columnNr`, `orderNr`, `fileName`, `exampleName`,`subCategoryName`, `categoryName`, `courseID`)ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
@@ -205,23 +210,20 @@
   `courseID` VARCHAR(10) NOT NULL ,
   PRIMARY KEY (`keyword`, `exampleName`, `subCategoryName` , `categoryName`, `courseID`) ,
     FOREIGN KEY (`exampleName`,`subCategoryName` , `categoryName`, `courseID` )
-    REFERENCES `lenasys`.`Examples` (`exampleName`, `subCategoryName` , `categoryName`, `courseID` )ON UPDATE CASCADE)
+    REFERENCES `lenasys`.`Examples` (`exampleName`, `subCategoryName` , `categoryName`, `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
 ENGINE = InnoDB;
 
 
 -- -----------------------------------------------------
--- Table `lenasys`.`logUsersQuizLogins`
+-- Table `lenasys`.`logUserLoginAttempts`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`logUsersQuizLogins` (
-  `id` INT NOT NULL ,
+CREATE  TABLE IF NOT EXISTS `lenasys`.`logUserLoginAttempts` (
+  `id` INT NOT NULL AUTO_INCREMENT,
   `userName` VARCHAR(20) NOT NULL ,
   `userAgent` VARCHAR(200) NOT NULL , -- web browser and version
   `userIP` VARCHAR(20) NOT NULL , --  ip-number
-  `browserID` VARCHAR(64) /*NOT NULL*/ , -- autogenerated id for local-storage
-  `courseID` VARCHAR(10) NOT NULL ,
-  `courseOccasion` VARCHAR(16) NULL ,
-  `quizNr` INT NOT NULL ,
-  `loginTimeStamp` DATETIME NOT NULL ,
+  `browserID` VARCHAR(64) NOT NULL , -- autogenerated id for local-storage
+  `loginTimeStamp` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP  ,
   `success` BIT NOT NULL , -- 1=true and 0=false
   PRIMARY KEY (`id`))
 ENGINE = InnoDB;
@@ -270,9 +272,9 @@
 -- -------------------------------------------------
 
 INSERT INTO `lenasys`.`Users` (`userName`,`name`,`passwd`, passwdHint,`userType`,`ssn`) 
-VALUES ('student','Per Student',sha1('Syp9393'),'gamla vanliga' ,2,'19900385-2345'),
-('student2','Gösta Student',sha1('Syp9393'),'SypARN',2,'19800385-2385'),
-('lärare','Kalle Lärare',sha1('Syp9393'),'Syp och året då Sverige först tillåter kommersiell radio x2',1,'19800385-2325');
+VALUES ('student','Per Student','06d31954049ffa053039ae83bab3dcd0ebc67195','gamla vanliga' ,2,'19900385-2345'),
+('student2','Gösta Student','06d31954049ffa053039ae83bab3dcd0ebc67195','SypARN',2,'19800385-2385'),
+('lärare','Kalle Lärare','06d31954049ffa053039ae83bab3dcd0ebc67195','Syp och året då Sverige först tillåter kommersiell radio x2',1,'19800385-2325');
 
 INSERT INTO `Courses`(`courseID`, `name`, `courseData`) 
 VALUES('DA133G'  , 'Webbutveckling - datorgrafik G1N' , ' 7,5hp (IKI)'),

